KJL - Feature #2392

Validasi agar yang sudah pernah transaksi tidak bisa di-delete
10/27/2023 02:11 PM - haykal haykal

Status: Closed Start date: 10/27/2023
Priority: Normal Due date: 11/10/2023
Assignee: jihad .... % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Dear Developer,
Tolong buatkan validasi agar Material di Material Master Data yg sudah pernah transaksi atau sudah masuk stok tidak bisa di-delete.

Tolong buatkan juga validasi untuk Customer di Customer Master Data dan Vendor di Vendor Master Data yang sudah pernah
melakukan transaksi agar tidak bisa di-delete.

Menu Path: Logistic & Service > Master Data (Material Master Data, Customer Master Data, dan Vendor Master Data)
port: http://remote.minovais.com:61138/

History

#1 - 11/02/2023 08:53 AM - Kezia Pawitra Yulianti
- Due date set to 11/10/2023

- Status changed from New to Assigned

#2 - 11/02/2023 09:01 AM - Kezia Pawitra Yulianti
- Assignee changed from Tri Rizqiaty to M Azid Wahyudi

#3 - 01/18/2024 11:59 AM - jihad ....
- File Validasi Delete Master Data KJL.xIsx added

#4 - 01/18/2024 04:34 PM - jihad ....
- File Validasi Delete Master Data KJL.xIsx added

#5 - 01/18/2024 04:35 PM - jihad ....
- File deleted (Validasi Delete Master Data KJL.xIsx)

#6 - 05/22/2024 02:17 PM - jihad ....

1. Customer

Sales:Customer
Purchasing: tidak ada
Inventory:Receiver|D
Production: tidak ada

2. Material
di semua ada

3. Vendor

Sales: tidak ada
Purchase: Vendor
Inventory: Vendor
Production: tidak ada

#7 - 05/27/2024 12:08 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to jihad ....

07/04/2025 12



http://remote.minovais.com:61138/

Dear jihad ,, udah bisa di test ya

note : untuk query table production belom di buat karena production belom jalan selebihnya sudah tapi semua master data udah di tambahin validasi

cuman md material aja yg kurang table production
package :

- SMESSAGECATALOG (00012)

- custparam (VALDELETE)

- sp (PVALDELETERP)

- Ul (MinovaXtype)

makasih

#8 - 05/27/2024 01:42 PM - jihad ....

- Status changed from QA Test to Closed

Sudah bisa, terima kasih mas.

Files

Validasi Delete Master Data KJL.xlsx 10.6 KB
